Package org.apache.uima.impl

# Class SofaID_impl

java.lang.Object
org.apache.uima.impl.SofaID_impl

All Implemented Interfaces:
  `SofaID`

@Deprecated public class SofaID_impl extends Object implements SofaID
Deprecated.
Implementation of `SofaID`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SofaID_impl()`
  Deprecated.
  Creates an empty Sofa ID.
  `SofaID_impl(String aID)`
  Deprecated.
  Creates a new Sofa ID from the given String.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComponentSofaName()`
  Deprecated.
  Get the component Sofa name that was used to obtain this SofaID by calling {
  `String`
  `getSofaID()`
  Deprecated.
  Get the Sofa ID.
  `void`
  `setComponentSofaName(String aSofaName)`
  Deprecated.
  Set the component Sofa name that was used to obtain this SofaID by calling `UimaContext.mapToSofaID()`.
  `void`
  `setSofaID(String aSofaID)`
  Deprecated.
  Set the Sofa ID of a Sofa FS in the CAS.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SofaID_impl

    public SofaID_impl()
    Deprecated.
    Creates an empty Sofa ID.

  - ### SofaID_impl

    public SofaID_impl(String aID)
    Deprecated.
    Creates a new Sofa ID from the given String. Note that this constructor should be used only by applications. Analysis components should use the `UimaContext.mapToSofaID(String)` method instead.
    Parameters:
      `aID` - the String identifier of the Sofa

- ## Method Details

  - ### setSofaID

    public void setSofaID(String aSofaID)
    Deprecated.
    Description copied from interface: `SofaID`
    Set the Sofa ID of a Sofa FS in the CAS.
    Specified by:
      `setSofaID` in interface `SofaID`
    Parameters:
      `aSofaID` - -

  - ### getSofaID

    public String getSofaID()
    Deprecated.
    Description copied from interface: `SofaID`
    Get the Sofa ID.
    Specified by:
      `getSofaID` in interface `SofaID`
    Returns:
      Sofa ID

  - ### setComponentSofaName

    public void setComponentSofaName(String aSofaName)
    Deprecated.
    Description copied from interface: `SofaID`
    Set the component Sofa name that was used to obtain this SofaID by calling `UimaContext.mapToSofaID()`.
    Specified by:
      `setComponentSofaName` in interface `SofaID`
    Parameters:
      `aSofaName` - -

  - ### getComponentSofaName

    public String getComponentSofaName()
    Deprecated.
    Description copied from interface: `SofaID`
    Get the component Sofa name that was used to obtain this SofaID by calling {
    Specified by:
      `getComponentSofaName` in interface `SofaID`
    Returns:
      Component Sofa Name
    See Also:
      - `UimaContext.mapToSofaID()}.`